package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.MachineLearn;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

public interface MachineLearnService {
    Page<MachineLearn> queryByPage(String name, String type, PageRequest pageRequest);

    MachineLearn add(MachineLearn machineLearn);

    String edit(MachineLearn machineLearn);

    MachineLearn getMLDetail(Long id);

    String delete(Long id);

    String runMachineLearn(Long id) throws Exception;
}
